%define major 0
%define apiver 1
%define libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.28.2
%define subrel	1
Release:	%mkrel 2
License:	MIT
Group:		System/Libraries
URL:		http://pixman.org/
#Source:		http://cairographics.org/releases/%{name}-%{version}.tar.bz2
Source:		http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
Patch0:		pixman-CVE-2013-6425.patch

%description
Pixel manipulation Library.

%package -n %{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries
Obsoletes:	%{_lib}pixman-1_0 < 0.22.0

%description -n %{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n %{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}
Obsoletes:	%{_lib}pixman-1-devel < 0.22.0

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%setup -q
%patch0 -p1 -b .CVE-2013-6425

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{develname}
%doc README
%defattr(0644,root,root,0755)
%{_libdir}/*.so
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Dec 04 2013 luigiwalser <luigiwalser> 0.28.2-2.1.mga3
+ Revision: 555183
- add upstream patch to fix CVE-2013-6425

* Sun Jan 13 2013 umeabot <umeabot> 0.28.2-2.mga3
+ Revision: 377772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 tv <tv> 0.28.2-1.mga3
+ Revision: 329398
- new release

* Wed Nov 07 2012 tv <tv> 0.28.0-1.mga3
+ Revision: 316245
- new release

* Thu Oct 25 2012 tv <tv> 0.27.4-1.mga3
+ Revision: 310053
- adjust file list
- new release

* Thu Aug 02 2012 tv <tv> 0.27.2-1.mga3
+ Revision: 277804
- switch to bz2 sources
- new release

  + fwang <fwang>
    - update source
    - update url

* Fri Jun 29 2012 tv <tv> 0.26.2-1.mga3
+ Revision: 265140
- new release

* Mon May 28 2012 tv <tv> 0.26.0-1.mga3
+ Revision: 248758
- new release

* Thu Feb 09 2012 tv <tv> 0.24.4-1.mga2
+ Revision: 206670
- new release

* Sun Jan 22 2012 tv <tv> 0.24.2-1.mga2
+ Revision: 199617
- new release

* Mon Nov 07 2011 tv <tv> 0.24.0-1.mga2
+ Revision: 164793
- new release

* Sun Oct 30 2011 tv <tv> 0.23.8-1.mga2
+ Revision: 160170
- new release

* Tue Oct 18 2011 tv <tv> 0.23.6-1.mga2
+ Revision: 156345
- new release

* Wed Sep 14 2011 fwang <fwang> 0.23.4-2.mga2
+ Revision: 143394
- drop .la files

* Wed Sep 14 2011 tv <tv> 0.23.4-1.mga2
+ Revision: 143328
- new release

* Thu Jul 14 2011 kharec <kharec> 0.23.2-1.mga2
+ Revision: 124028
- new version 0.23.2

* Thu Jun 30 2011 fwang <fwang> 0.22.0-1.mga2
+ Revision: 116862
- new version 0.22.0

* Tue Feb 01 2011 tv <tv> 0.20.2-1.mga1
+ Revision: 45568
- new release

* Tue Jan 11 2011 blino <blino> 0.20.0-3.mga1
+ Revision: 6090
- remove old ldconfig scriptlets
- imported package pixman

